#include <cstdio>
using namespace std;
int main()
{
    int m,n;
    scanf("%d",&m);
    while(m--){
        scanf("%d",&n);
        double ans=0;
        for(int i=1;i<=n;i++)
            ans+=((i&1)?1.0:-1.0)/i;
        printf("%.2lf\n",ans);
    }
    return 0;
}
